<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  
  if(isset($_SESSION["mailcli"])){ //si les sessions sont pleines
  
	// Initialisation
	$Nb_ISIN_Select = 7; //nombre maximum de produits affiché (aussi défini dans la requête SQL)
  	$montant_total_a_verser = '0.00'; 
  	$Montant_Total_Valorisation = '0.00';
    $OrdreAcheter = false;
     			
	for($i=0;$i<=$Nb_ISIN_Select;$i++){
		if(isset($_POST['numtitre'.$i])){ //si état checkbox est coché (alors produit dans le panier)
			
			$OrdreAcheter = true;
			$num_titre[$i] = $_POST['numtitre'.$i]; //echo $_POST['numtitre'.$i]."<br/>";

			// Nettoyage de la valeur du titre et du taux de profit
			
			$valeur_titre[$i] = str_replace(chr(47), "", $_POST['valeurtitre'][$i]); // Enlever la barre oblique
			for($c=0;$c<=45;$c++){	$valeur_titre[$i] = str_replace(chr($c), "", $valeur_titre[$i]);	} // Suppression de caractères ASCII
			for($c=58;$c<=127;$c++){	$valeur_titre[$i] = str_replace(chr($c), "", $valeur_titre[$i]);	} // Suppression de caractères ASCII
			$valeur_titre[$i] = substr($valeur_titre[$i],0,20); // Retourner uniquement le debut
		
			$tauxprofit[$i] = str_replace(chr(47), "", $_POST['tauxprofit'][$i]); // Enlever la barre oblique
			for($c=0;$c<=45;$c++){	$tauxprofit[$i] = str_replace(chr($c), "", $tauxprofit[$i]);	} // Suppression de caractères ASCII
			for($c=58;$c<=127;$c++){	$tauxprofit[$i] = str_replace(chr($c), "", $tauxprofit[$i]);	} // Suppression de caractères ASCII
			$tauxprofit[$i] = substr($tauxprofit[$i],0,20); // Retourner uniquement le debut
			
			if ($connexion){	// si connexion à la base réussi
        
			  	if ( $valeur_titre[$i] < $ValeurTitreMinimum ){ 
					$valeur_titre[$i] = $ValeurTitreMinimum; // définition de la valeur minimale du titre
			  	}
			  
				if ( empty($tauxprofit[$i]) or ($tauxprofit[$i] < '0.00') or ($tauxprofit[$i] > $ValeurProfitMaximum) ) {  
					$tauxprofit[$i] = $ValeurProfitMaximum; //définition du taux de profit maximal
				}
			
				$NouvelleValeurTitre[$i] = $valeur_titre[$i] + $valeur_titre[$i] * $tauxprofit[$i] / 100 ;
			
			  mysql_select_db($base,$connexion);
			  
			  //retrouver le nom de l'ancien propriétaire
			  $requete_ancien_proprio = "Select * from freepay_titre where numtitre = '".$num_titre[$i]."' ;"; // ISIN de l'action : $num_titre[$i] 
			  $resultat_ancien_proprio = mysql_query($requete_ancien_proprio,$connexion); //connexion de la requete
			  $ligne_ancien_proprio = mysql_fetch_assoc($resultat_ancien_proprio); //affichage des résultats
			  // exemple : mail de l'ancien propriétaire -> $ligne_ancien_proprio["mailcli"]
			  
			  //Combien d'argent sur le compte de la session ?
			  $requete_session = "select * from freepay_client where mailcli='".$_SESSION["mailcli"]."';";
			  $resultat_session = mysql_query($requete_session,$connexion);
			  $ligne_session = mysql_fetch_assoc($resultat_session); //affichage des résultats
				
			  //si il y a assez d'argent sur le compte de la session
			  
			  if ($valeur_titre[$i] <= $ligne_session["montantcompte"])
			  {
				// Dans tout les cas : débiter de compte de l'acheteur
				mysql_query("UPDATE freepay_client SET montantcompte = montantcompte - ".$valeur_titre[$i]." where mailcli='".$_SESSION["mailcli"]."';"); //debit
				
				//3 cas possible : la nouvelle valeur du titre est supérieure, égale ou inférieure à la valeur de l'ancien proprio
				if($valeur_titre[$i] >= $ligne_ancien_proprio["valeurtitre"]){
				
				  //changer le nom du propriétaire du titre en celui de la session
				  mysql_query("UPDATE freepay_titre SET mailcli = '".$_SESSION["mailcli"]."' where numtitre = '".$num_titre[$i]."';");
				  
				  //Historique du transfert du titre
				  mysql_query("INSERT INTO freepay_titre_transferer values ('".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '".$num_titre[$i]."', '".$_SESSION["mailcli"]."', '".$valeur_titre[$i]."', '".$tauxprofit[$i]."')");

				  //appliquer le nouveau tarif dans les deux cas (puisque valorisation)
				  mysql_query("UPDATE freepay_titre SET valeurtitre = ".$NouvelleValeurTitre[$i]." where numtitre = '".$num_titre[$i]."';");

				}
				
				if($valeur_titre[$i] < $ligne_ancien_proprio["valeurtitre"]){
				

				// Déduction du montant du titre sélectionné
				  mysql_query("UPDATE freepay_titre SET valeurtitre = valeurtitre - '".$valeur_titre[$i]."' where numtitre ='".$num_titre[$i]."';");
				  
				// Création d'un nouveau titre
				  include("../../services/ISIN/ISIN_gen.php");
				  mysql_query("INSERT INTO freepay_titre values ('$ISIN', '".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '".$NouvelleValeurTitre[$i]."', '".$_SESSION["mailcli"]."')");
				  
				// Historique du transfert du titre
				  mysql_query("INSERT INTO freepay_titre_transferer values ('".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '$ISIN', '".$_SESSION["mailcli"]."', '".$valeur_titre[$i]."', '".$tauxprofit[$i]."')");
				  
				}
				
				// Dans tout les cas : 
				
					// Verser l'argent à l'ancien propriétaire du titre
						mysql_query("UPDATE freepay_client SET montantcompte = montantcompte + ".$valeur_titre[$i]." where mailcli='".$ligne_ancien_proprio["mailcli"]."';"); //crédit
					// Inscription du paiement transféré (dans la même seconde lorsque plusieurs achats)
						mysql_query("INSERT INTO freepay_client_transferer values ('".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '".$_SESSION["mailcli"]."', '".$ligne_ancien_proprio["mailcli"]."', '".$valeur_titre[$i]."')");
				  		
					$montant_total_a_verser = $montant_total_a_verser + $valeur_titre[$i];
					$Montant_Total_Valorisation = $Montant_Total_Valorisation + $NouvelleValeurTitre[$i];
				
			  }else{
			 	 echo "<p class='info'>Vous n'avez pas assez sur votre compte (<strong>".$ligne_session['montantcompte']."</strong>) pour acheter ce titre (<strong>".$valeur_titre[$i]."</strong>).</p>";
		  		}
			  
			}
        	
		}
	}

	if(true == $OrdreAcheter){
		
		if(0.00 == $montant_total_a_verser){
			echo "<script type='text/javascript'>
			  window.location.replace('".$AdresseFreePay."paiement/titre/titre_acheter.php');
			</script>";
		}else{
			echo "<script type='text/javascript'>
			  window.location.replace('".$AdresseFreePay."paiement/titre/titre_acheter.php?verser=".$montant_total_a_verser."&valoriser=".$Montant_Total_Valorisation."');
			</script>";
		}	
			
	}
	
	if(isset($_GET['verser'],$_GET['valoriser'])){ //récapitulatif
			echo "<p class='reussi'>Vous avez acheté un/des titre(s) pour <strong>".$_GET['verser']."</strong> Euros, valorisé à <strong>".$_GET['valoriser']."</strong> Euros.</p>";
	}
    
    include("titre_acheter_interface.php"); //affichage des informations nécessaire à l'achat d'un titre
    
  }else{
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }

  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
